By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
455,746 Members | 1,780 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 455,746 IT Pros & Developers. It's quick & easy.

PECL dll's for Win32 / ImageMagick 6.0.3

P: n/a
Joe
Hey

I have tried to install ImageMagick on my server, but my apache stalls
when i try to start it with the following line added to my php.ini file:

extension=php_imagick.dll

I can't even kill the apache procees when I try to run it with this
option added, so I have to restart the entire server each time I have to
return to the original setting of php.ini

I have installed ImageMagick on my server, downloaded from
http://www.imagemagick.org/ and the php api for it from
http://kromann.info/pecl.php (rediredted from) http://pecl.php.net.
According to the 'kromann' page I must install another dll as well for
the extension to work, and I have placed this dll in the dll directery
under php along with the 'php_imagick.dll', but the result is the same.

I have also tried copying the dll's to the root of the php installation,
the winNT root and the winNT/system32 folder, but the result is the same.

Im running php 4.3.7 , apache 1.3.31 and win2000

Anyone who knows what to do?

Joe
Jul 17 '05 #1
Share this Question
Share on Google+
3 Replies


P: n/a
Joe schrieb:
I have installed ImageMagick on my server, downloaded from
http://www.imagemagick.org/ and the php api for it from
http://kromann.info/pecl.php (rediredted from) http://pecl.php.net.
Don't use the newest version of ImageMagick! Version 5.5.7 runs fine.
Im running php 4.3.7 , apache 1.3.31 and win2000


PHP 4.3.6 , Apache 1.3.31 and Windows 2000 on my machine.
Regards,
Matthias
Jul 17 '05 #2

P: n/a
Joe
Matthias Esken wrote:
Joe schrieb:

I have installed ImageMagick on my server, downloaded from
http://www.imagemagick.org/ and the php api for it from
http://kromann.info/pecl.php (rediredted from) http://pecl.php.net.

Don't use the newest version of ImageMagick! Version 5.5.7 runs fine.

Im running php 4.3.7 , apache 1.3.31 and win2000

PHP 4.3.6 , Apache 1.3.31 and Windows 2000 on my machine.
Regards,
Matthias


Thanx that did the trick..., had to restart windows first thought,
but what can you do :-)

Joe
Jul 17 '05 #3

P: n/a
Joe wrote:
Matthias Esken wrote:
Joe schrieb:

I have installed ImageMagick on my server, downloaded from
http://www.imagemagick.org/ and the php api for it from
http://kromann.info/pecl.php (rediredted from) http://pecl.php.net.
Don't use the newest version of ImageMagick! Version 5.5.7 runs fine.

Im running php 4.3.7 , apache 1.3.31 and win2000


PHP 4.3.6 , Apache 1.3.31 and Windows 2000 on my machine.
Regards,
Matthias

Thanx that did the trick..., had to restart windows first thought,
but what can you do :-)


don't use a W{I,A}MP box. :)
Joe

--
Michael Austin.
Consultant - Available.
Donations welcomed. Http://www.firstdbasource.com/donations.html
:)
Jul 17 '05 #4

This discussion thread is closed

Replies have been disabled for this discussion.